Custom Field API
List Custom Field Options
List the available custom field definitions for a team and ticket type. Returns field definitions with empty values. Use this to discover field keys before setting values on tickets.
GET
/
v2
/
teams
/
{team_id}
/
custom-field-options
List Custom Field Options
curl --request GET \
--url https://public.api.serval.com/v2/teams/{team_id}/custom-field-options \
--header 'Authorization: Bearer <token>'{
"customFields": [
{
"fieldValue": {
"id": "<string>",
"entityId": "<string>",
"fieldId": "<string>",
"fieldKey": "<string>",
"fieldName": "<string>",
"value": 123,
"setByUserId": "<string>",
"setByAppInstanceId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"pinned": true
},
"field": {
"id": "<string>",
"entityTypeId": "<string>",
"key": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"updatedByUserId": "<string>",
"enumOptions": [
{
"id": "<string>",
"value": "<string>",
"displayName": "<string>",
"displayOrder": 123
}
],
"isKeyField": true,
"isNameField": true,
"refEntityTypeId": "<string>",
"description": "<string>",
"sourceEntityTypeId": "<string>",
"sectionId": "<string>"
}
}
],
"deprecatedFields": [
{
"fieldValue": {
"id": "<string>",
"entityId": "<string>",
"fieldId": "<string>",
"fieldKey": "<string>",
"fieldName": "<string>",
"value": 123,
"setByUserId": "<string>",
"setByAppInstanceId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"pinned": true
},
"field": {
"id": "<string>",
"entityTypeId": "<string>",
"key": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"updatedByUserId": "<string>",
"enumOptions": [
{
"id": "<string>",
"value": "<string>",
"displayName": "<string>",
"displayOrder": 123
}
],
"isKeyField": true,
"isNameField": true,
"refEntityTypeId": "<string>",
"description": "<string>",
"sourceEntityTypeId": "<string>",
"sectionId": "<string>"
}
}
],
"data": {
"activeCustomFields": [
{
"fieldValue": {
"id": "<string>",
"entityId": "<string>",
"fieldId": "<string>",
"fieldKey": "<string>",
"fieldName": "<string>",
"value": 123,
"setByUserId": "<string>",
"setByAppInstanceId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"pinned": true
},
"field": {
"id": "<string>",
"entityTypeId": "<string>",
"key": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"updatedByUserId": "<string>",
"enumOptions": [
{
"id": "<string>",
"value": "<string>",
"displayName": "<string>",
"displayOrder": 123
}
],
"isKeyField": true,
"isNameField": true,
"refEntityTypeId": "<string>",
"description": "<string>",
"sourceEntityTypeId": "<string>",
"sectionId": "<string>"
}
}
],
"deprecatedCustomFields": [
{
"fieldValue": {
"id": "<string>",
"entityId": "<string>",
"fieldId": "<string>",
"fieldKey": "<string>",
"fieldName": "<string>",
"value": 123,
"setByUserId": "<string>",
"setByAppInstanceId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"pinned": true
},
"field": {
"id": "<string>",
"entityTypeId": "<string>",
"key": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"updatedByUserId": "<string>",
"enumOptions": [
{
"id": "<string>",
"value": "<string>",
"displayName": "<string>",
"displayOrder": 123
}
],
"isKeyField": true,
"isNameField": true,
"refEntityTypeId": "<string>",
"description": "<string>",
"sourceEntityTypeId": "<string>",
"sectionId": "<string>"
}
}
],
"activeCustomFieldGroups": [
{
"section": {
"id": "<string>",
"entityTypeId": "<string>",
"name": "<string>",
"sourceEntityTypeId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"updatedByUserId": "<string>"
},
"customFields": [
{
"fieldValue": {
"id": "<string>",
"entityId": "<string>",
"fieldId": "<string>",
"fieldKey": "<string>",
"fieldName": "<string>",
"value": 123,
"setByUserId": "<string>",
"setByAppInstanceId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"pinned": true
},
"field": {
"id": "<string>",
"entityTypeId": "<string>",
"key": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"updatedByUserId": "<string>",
"enumOptions": [
{
"id": "<string>",
"value": "<string>",
"displayName": "<string>",
"displayOrder": 123
}
],
"isKeyField": true,
"isNameField": true,
"refEntityTypeId": "<string>",
"description": "<string>",
"sourceEntityTypeId": "<string>",
"sectionId": "<string>"
}
}
]
}
]
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the team to list custom field options for.
Query Parameters
The ticket type to list custom field options for.
Available options:
TICKET_TYPE_UNSPECIFIED, TICKET_TYPE_REQUEST, TICKET_TYPE_TASK, TICKET_TYPE_MAJOR_INCIDENT, TICKET_TYPE_CONVERSATION, TICKET_TYPE_JOURNEY, TICKET_TYPE_JOURNEY_CONVERSATION, TICKET_TYPE_INCIDENT, TICKET_TYPE_CHANGE Was this page helpful?
⌘I
List Custom Field Options
curl --request GET \
--url https://public.api.serval.com/v2/teams/{team_id}/custom-field-options \
--header 'Authorization: Bearer <token>'{
"customFields": [
{
"fieldValue": {
"id": "<string>",
"entityId": "<string>",
"fieldId": "<string>",
"fieldKey": "<string>",
"fieldName": "<string>",
"value": 123,
"setByUserId": "<string>",
"setByAppInstanceId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"pinned": true
},
"field": {
"id": "<string>",
"entityTypeId": "<string>",
"key": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"updatedByUserId": "<string>",
"enumOptions": [
{
"id": "<string>",
"value": "<string>",
"displayName": "<string>",
"displayOrder": 123
}
],
"isKeyField": true,
"isNameField": true,
"refEntityTypeId": "<string>",
"description": "<string>",
"sourceEntityTypeId": "<string>",
"sectionId": "<string>"
}
}
],
"deprecatedFields": [
{
"fieldValue": {
"id": "<string>",
"entityId": "<string>",
"fieldId": "<string>",
"fieldKey": "<string>",
"fieldName": "<string>",
"value": 123,
"setByUserId": "<string>",
"setByAppInstanceId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"pinned": true
},
"field": {
"id": "<string>",
"entityTypeId": "<string>",
"key": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"updatedByUserId": "<string>",
"enumOptions": [
{
"id": "<string>",
"value": "<string>",
"displayName": "<string>",
"displayOrder": 123
}
],
"isKeyField": true,
"isNameField": true,
"refEntityTypeId": "<string>",
"description": "<string>",
"sourceEntityTypeId": "<string>",
"sectionId": "<string>"
}
}
],
"data": {
"activeCustomFields": [
{
"fieldValue": {
"id": "<string>",
"entityId": "<string>",
"fieldId": "<string>",
"fieldKey": "<string>",
"fieldName": "<string>",
"value": 123,
"setByUserId": "<string>",
"setByAppInstanceId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"pinned": true
},
"field": {
"id": "<string>",
"entityTypeId": "<string>",
"key": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"updatedByUserId": "<string>",
"enumOptions": [
{
"id": "<string>",
"value": "<string>",
"displayName": "<string>",
"displayOrder": 123
}
],
"isKeyField": true,
"isNameField": true,
"refEntityTypeId": "<string>",
"description": "<string>",
"sourceEntityTypeId": "<string>",
"sectionId": "<string>"
}
}
],
"deprecatedCustomFields": [
{
"fieldValue": {
"id": "<string>",
"entityId": "<string>",
"fieldId": "<string>",
"fieldKey": "<string>",
"fieldName": "<string>",
"value": 123,
"setByUserId": "<string>",
"setByAppInstanceId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"pinned": true
},
"field": {
"id": "<string>",
"entityTypeId": "<string>",
"key": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"updatedByUserId": "<string>",
"enumOptions": [
{
"id": "<string>",
"value": "<string>",
"displayName": "<string>",
"displayOrder": 123
}
],
"isKeyField": true,
"isNameField": true,
"refEntityTypeId": "<string>",
"description": "<string>",
"sourceEntityTypeId": "<string>",
"sectionId": "<string>"
}
}
],
"activeCustomFieldGroups": [
{
"section": {
"id": "<string>",
"entityTypeId": "<string>",
"name": "<string>",
"sourceEntityTypeId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"updatedByUserId": "<string>"
},
"customFields": [
{
"fieldValue": {
"id": "<string>",
"entityId": "<string>",
"fieldId": "<string>",
"fieldKey": "<string>",
"fieldName": "<string>",
"value": 123,
"setByUserId": "<string>",
"setByAppInstanceId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"pinned": true
},
"field": {
"id": "<string>",
"entityTypeId": "<string>",
"key": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"updatedByUserId": "<string>",
"enumOptions": [
{
"id": "<string>",
"value": "<string>",
"displayName": "<string>",
"displayOrder": 123
}
],
"isKeyField": true,
"isNameField": true,
"refEntityTypeId": "<string>",
"description": "<string>",
"sourceEntityTypeId": "<string>",
"sectionId": "<string>"
}
}
]
}
]
}
}
